Name: libtdb
Version: 1.1.5
Release: 0%{?dist}
Group: System Environment/Daemons
Summary: The tdb library
License: LGPLv3+
URL: http://tdb.samba.org/
Source: http://samba.org/ftp/tdb/tdb-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: autoconf

%description
A library that implements a trivial database.

%package devel
Group: Development/Libraries
Summary: Header files need to link the Tdb library
Requires: libtdb = %{version}-%{release}
Requires: pkgconfig

%description devel
Header files needed to develop programs that link against the Tdb library.

%package -n tdb-tools
Group: Development/Libraries
Summary: Developer tools for the Tdb library
Requires: libtdb = %{version}-%{release}

%description -n tdb-tools
Tools to manage Tdb files

%prep
%setup -q -n tdb-%{version}

%build
./autogen.sh
%configure --prefix=%{_usr} --disable-python
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

ln -s libtdb.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libtdb.so

rm -f $RPM_BUILD_ROOT%{_libdir}/libtdb.a
rm -f $RPM_BUILD_ROOT%{_libdir}/python*/site-packages/tdb.so


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/libtdb.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/tdb.h
%{_libdir}/libtdb.so
%{_libdir}/pkgconfig/tdb.pc

%files -n tdb-tools
%defattr(-,root,root,-)
%{_bindir}/tdbbackup
%{_bindir}/tdbdump
%{_bindir}/tdbtool


%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
* Mon Jul  6 2009 Simo Sorce <ssorce@redhat.com> - 1.1.5-0
Build tdb as a separate package in F-11 too.
